                          Active GIF Creator 3.8
                   Copyright(c)2000-2014 Image Tools Group
               http://www.easyanimationtools.com/products/agif/
                    E-mail: agif@easyanimationtools.com

                                HISTORY

January 06, 2014. Version 3.8 
* Help / Article added.
* Small impovements.

January 27, 2013. Version 3.7 
* Windows 8 - compatibility;
* Improvements in processing of color palettes.

May 31, 2012. Version 3.6 
* Improvements in dialog Image / Operations / Particles:
  - select file with particles;
  - new particle set: hatch.gif.
* Script editor:
  - feature added: rotate and flip object trajectories;
  - more trajectories.

May 25, 2011. Version 3.5 
* 64 bit - compatibility.
* Script editor:
- feature added: set of different trajectories for object movement;
- improvement: resize object in all frames for new object image;
* Tools / Image Collections: more collections.
* More animation examples.

September 08, 2010. Version 3.4 
* Feature added: resize image by mouse dragging.
* Feature added: resize image with color smoothing.
* Features added in script editor:
- crop operation in object image editor;
- load image in Object attributes dialog;
- using of image collections for object images.

July 18, 2009. Version 3.3 
* Script editor:
- improvement: added object is visible in all frames;
- feature added: linear trajectory for object movement;
- feature added: insertion of intermediate frames.
* Button editor:
- feature added: export of button image to PNG format;
- improvement: HEX codes for colors.
* Feature added: Tools / HTML link.
* Windows7-compatibility.

January 31, 2008. Version 3.2
* Feature added: image editor for script objects.
* Feature added: creation of transition frames (Image/Operations/Transition).
* Improvements in dialog Image/Operations/Crop.
* Small improvements in Tools/Map Editor.
* Bugs fixed:
  - in conversion from script to frame image;
  - in operation File / Restore Frames.

August 15, 2007. Version 3.1
* Vista-compatibility.
* Script editor:
- feature added: new object type "text";
- feature added: object rotation, flip horizontally and vertically;
- improvement: transformation from script to frames provides better optimization;
- interface improvement: popup menu on page Script.
* Button editor:
- improvement: export of button image provides transparent background;
- interface improvement: background color on screen fills full area.
* New options in command line mode: global attributes "color reduction" and "dither mode".
* Buttons on standard toolbar "animate", "loop counter", "delay" was moved near to the left side.
* Bugs fixed in export to graphical formats, launch of Quick tour.

July 01, 2006. Version 3.0
* Feature added: new page Script - tools for creation of animation scripts.   
* Feature added: Online updating of language files with screen texts, helps and tutorials.
* Improvement: New design for icons.
* Improvement: Help in CHM-format.
* Operation "Launch of external image editor" was removed.
* Changed registration codes.

-----------------------------------------------------------------------
Active GIF Creator has been moved to new site http://www.easyanimationtools.com
-----------------------------------------------------------------------

November 30, 2005. Version 2.23
* Feature added: hidden signature for GIF file (menu item Tools/Signature)
* Improvement: improved export of optimized GIF files to BMP, JPEG, PNG, TIFF, TGA formats.

January 31, 2005. Version 2.22
* Feature added: fill image by particles (menu item Image/Operations/Particles).
* Improvement in graphical editor for brush tool: particles as brush shapes.

September 28, 2004. Version 2.21
* Feature added: image shape in operation Image/New.
* Feature added: export frame images to PNG-files.  
* Feature added: export frame images to TGA-files.  
* Improvement: text angle in image editor.

June 25, 2004. Version 2.20
* New features in dialog Tools/Button for 3D buttons creation:
  - button shape rotation;
  - multi-line button captions (with character | as separator).
* Improvement in graphical editor for eraser tool: right mouse button changes
image pixels with foreground color to background color.

April 05, 2004. Version 2.19
* Feature added: using PNG-files for frame addition.  
* Feature added: using TGA-files for frame addition.  
* Improvement: color editing in HEX form (edit palette dialog).

December 15, 2003. Version 2.18
* New features in dialog Tools/Button for 3D buttons creation.
* Improvements in command line (batch mode): export and included files added.

September 15, 2003. Version 2.17
* Improvements in edit palette dialog:
   - palette entries operations: sort, delete duplicated;
   - using keybord cursor keys.
* Improvements in advanced open picture dialog (thumbnailer):
  buttons "copy to clipboard", "refresh".

July 07, 2003. Version 2.16
* Feature added: restore images in frames of optimized GIFs
  (menu item File/Restore Frames).
* Feature added: preferences for color reduction and dither mode during
  addition of images with more than 256 colors.
* Improvements in advanced open picture dialog (thumbnailer).

May 19, 2003. Version 2.15
* Feature added: dialog Tools/Button creates 3D buttons.
* Improvements in function Image/Operations/Merge.

March 03, 2003. Version 2.14
* Feature added: using Adobe Photoshop PSD-files for frame addition.
* Feature added: using PCX-files for frame addition.
* Improvements in:
   - image size dialogs;
   - import/export for ANI-files (animated cursors);
   - polygon drawing inside internal image editor.

January 31, 2003. Version 2.13
* Spanish translation of help.
* Slovenian translation of help.
* Improvement: color hint includes hexadecimal code for HTML-pages.

November 11, 2002. Version 2.12
* Feature added: now the following operations are available for marquee
   (selected rectangle area): 
   - rotate left 90 degrees, right 90 degrees, 180 degrees;
   - flip horizontally and vertically;
   - apply image effects.
* Improvement in image editor: possibility to move text position from keyboard,
  font settings saving.
* Improvements in edit palette dialog.
* Improvement: new paramater (image offset) in command line.

September 09, 2002. Version 2.11
* Feature added: Image effects dialog (menu item Image/Operations/Effects)
  - Ripple (random, spray, line, triangle, tooth, wave);
  - Mask (colored oval frame);
  - Texture (mosaic from source image);
  - Marble;
  - Shake (horizontal, vertical).
* Manifest file for Windows XP.
* French translation of help.
* Improvement: mouse double-click on color palette invokes edit color palette dialog.
* Bug fixed: error in edit color palette dialog for operation "add".

July 08, 2002. Version 2.10
* Feature added: export and import operations with ANI-files (animated cursors).
* Feature added: simple dialog to see image on web page (menu item Tools/Web Page).

May 20, 2002. Version 2.9
* Feature added: New checkbox in Preferences dialog (page Image)
  "Keep original frame attributes of added GIF-files".
  The appropriate parameter has been added for batch mode too.
* Feature added: moving selected part of image with pressed key Ctrl
  creates the copy of selection which can be moved to some other place.
* Improvement: using image selection as initial area for image crop operation.
* Improvement: contextul help for internal image editor.
* Improvement: preview window for advanced open picture dialog has
  "next picture" and "previous picture" buttons.
* Improvement: new button Paste in Help/Registration/Register dialog.
* Bugs fixed:
    - in moving of selected parts of images;
    - in "Image/Paste Image" operation.

March 01, 2002. Version 2.8
* Feature added: tools "image collections" make possible to use images
  from bitmap strips for pasting them to editing frame;
  color conversion to active palette of frame takes place;
  pasted image is not transparent in this version.
* Feature added: export to tiff-files.
* Improvement: tutorial has been updated.
* Bug fixed: button "paste" placed to standard toolbar will be activated when
  buffer becomes not-empty from external programs.
* Bug fixed: preview in edit color palette dialog was invalid in some cases.

January 14, 2002. Version 2.7
* Feature added: assign current image attributes to all checked images.
* Feature added: new operations "delete global palette", "delete local palette",
   "create local palette".
* Feature added: menu item "tutorial" (invoke tutorial in native language).
* Feature added: clipboard operations for jpeg,ico,metafiles
   (for example, you can use copy-paste for shapes from MS Word window).
* Improvement in image editor:
   - no reset drawing tool to marquee for the next selected image;
   - zooming has extra scale 9 for small (up to 200*200 pixels) images;
   - zooming keeps viewed part of image on screen.
* Improvement: automatic scrolling in image list during drag-and-drop operations.
* Improvement: backup registry data before taking file type .gif
  (dialog Preferences/Tools)
* Bug fixed: error in optimization "move colors from local palettes to global".

December 10, 2001. Version 2.6
* Feature added: thumbnail pictures in image list.
* Feature added: new image operations:
   - rotate left 90 degrees;
   - rotate right 90 degrees;
   - rotate 180 degrees;
   - flip horizontally;
   - flip vertically.
* Feature added: edit image size as image operation with attributes
   "keep aspect ratio", "crop/stretch".
* Improvement: size dialog for added jpeg and metafiles has attribute
   "keep aspect ratio".
* Improvement: two separate checkboxes in optimization dialog:
   "remove image comments" and "remove image titles".
* Improvement: checkbox Animate in map editor.
* Improvement: duplicated or cropped image does not include comments from source image.
* Bug fixed: shortcut for image/insert is "ctrl+del" instead of "del"
  to make possible using key Del for editing in attribute toolbar.
* Bug fixed: GIF with empty image title is saved correctly now.
* Small GIF collection has been added.

November 05, 2001. Version 2.5
* Feature added: export/import bitmap strips.
* Feature added: batch mode for creating gifs from command lines.
* Feature added: standard banner sizes in preferences dialog.
* Feature added: new checkboxes in preferences dialog for image/add
   (jpeg and metafiles) - "use original file size" and "invoke size dialog".
* Improvement: operation comment/add inserts signature defined in preferences dialog.
* Improvement: menu item "Save" disabled if GIF-file was not modified.
* Improvement: correct behaviour during error file reading.
* Bug fixed: status bar in main form does not show hints from other dialogs now.
* Bug fixed: checkbox File/Preferences/New/Interlaced works now.

September 17, 2001. Version 2.4
* Feature added: map editor for html tag <map>.
* Feature added: associate Active GIF Creator with .gif extension
  (dialog Preferences/Tools).
* Feature added: first parameter in command line as input GIF-file name
  (e.g., agif myfile.gif).
* Improvement: rapid speed of pen drawing in image editor.
* Improvement: language dialog box contains names and e-mails of translators.

July 25, 2001. Version 2.3
* Feature added: advanced open picture dialog (thumbnailer).
* Feature added: using icon files (*.ico) for frame addition.
* Feature added: using Windows metafiles (*.wmf,*.emf) for frame addition.
* Improvement: saving current settings for standard open picture dialog.
* Improvement: in image list use Ctrl+Click to check/uncheck image,
  Shift+Click to select range of images, double click to edit title.
* Impovement: language dialog box contains sorted list of languages
  with strings duplicated in english.

June 25, 2001. Version 2.2
* Feature added: customize standard toolbar.
* Design improvement: icons in all menu items.
* Bug fixed: color distortion during save in unregistered version in some cases.

May 25, 2001. Version 2.1
* Feature added: define transparent color directly on image.
* Feature added: "Select All" operation in image editor.
* Improvement in AVI-export:
  - frames duplication to simulate time delay;
  - user can define number of loops;
  - correct export of transparent frames.
* Design improvement:
  - icons in menu;
  - new button on standard toolbar: undo, redo.
* Bug fixed: display selection border in operation "paste".

April 15, 2001. Version 2.0
* Feature added: image editor with the following tools:
  - Marquee: select and shift rectangle image fragment;
  - Lasso: select and shift arbitrary image fragment;
  - Zoom: scale image;
  - Eraser: erase an area in the image
    (replace any color with background or foreground color);
  - Pen: draw line with foreground or background color;
  - Brush: paint free-form patterns on the image;
  - Spray: airbrush a spray of small dots on the image;
  - Text: add text to the image;
  - Fill: fill an area of the image with color;
  - Get pixel color: display color under the cursor and select it;
  - Line: paint straight lines;
  - Curve: draw a curve line with foreground or background color on to an image;
  - Rectangle: draw a rectangle or a filled rectangle on the image;
  - Polygon: draw a polygon using selected points;
  - Round rectangle: draw a round rectangle or a filled round rectangle
    on the image;
  - Ellipse: draw an ellipse or filled elipse on the image.

January 15, 2001. Version 1.6
* Feature added: drag-and-drop items in list of frames.
* Feature added: launch image editor.
* Feature added: copy/paste images using clipboard.
* Feature added: autosave with defined time interval.
* Feature added: set background colors in image area,
                 draw borders of logical screen and frame.
* Feature added: new preferences
                 (start with opened file, confirm image deletion).
* Feature added: button "default" in Preferences dialog.
* Feature added: new optimization option -
                 move colors from local palettes to global palette.
* Improvement: Button "Optimize" was removed from Optimization dialog.
  File size and download time are recalculated after each click on checkboxes. 
* Improvement: GIF preview in open and save dialogs.
* Design improvement:
   - popup dialogs for selection of background and transparent colors;
   - list of frames: cut long text (ends "...", full text in status bar);
   - changes in dialog for comments editing;
   - changes in registration dialogs.

November 15, 2000. Version 1.5
* Feature added: Advanced palette editing tools.
* Feature added: Addition of JPEG images as frames.
* Feature added: Export to AVI file and set of JPEG files.
* Feature added: Import from AVI file.
* Feature added: Internationalization.
* Bug fixed: Addition to GIF the image from BMP with resolution more then
  resolution of GIF global palette was impossible before.
* Bug fixed: Correct setting of loop counter.

September 25, 2000. Version 1.4
* Feature added: Text commentaries.
* Feature added: Image operations: duplicate, merge, crop.
* Feature added: Palette operations: editing (add color, delete color,
  change color), saving palettes in files.
* Feature added: Optimization of GIF-file by means of:
   - crop of transparent images;
   - remove reduntant pixels;
   - remove image titles and comments;
   - optimization of color maps.   
* Feature added: Display of GIF size and download time for different speeds of
  modems.
* Improvement: Popup menus on list of frames and image.

July 24, 2000. Version 1.3
* Feature added: Hide/show panels: Standard toolbar, Attribute toolbar,
  Status bar. All actions in Standard toolbar and edition of parameters in
  Attribute toolbar are duplicated in menu.
* Feature added: Standard color dialog is replaced by dialog for color
  index selection on the base of used palette.
* Feature added: Using titles of frames. Name of added BMP-file as the title of
  new frame.
* Feature added: Frame parameter: "how to remove".
* Feature added: Global parameters: size of logical screen, background color.
* Feature added: List of frames has checkboxes to display images from different
  frames simultaneuosly on editing stage.
* Feature added: Import of frames from GIF-files.
* Feature added: GIF-files can be saved in non-registered copies of AGIF with
  additional text at the left top corner in each frame: AGif - UNREGISTERED.
* Improvement: button Cancel in the dialog for saving of modified GIF file.
* Help improvement. Additional file history.txt.

June 25, 2000. Version 1.2
* Feature added: Dialog for setting of parameters for added frames:
  menu item File/Preferences.
* Feature added: List of recently used files in menu File (up to 9 files).
* Feature added: Toolbar contains all parameters of frame. Dialog for delays
  may define delay for all frames or for current frame only.
* Bug fixed: Animation runs real number of times not infinitely.
  Icon STOP remains on toolbar  that serves as a signal that loop is finite.
* Feature added: Toggle of Interlaced flag for frame.
* Feature added: Selection of transparent color.
* Feature added: Offset of frame is added. Offset may be defined by means of
  spinedits or by image dragging by mouse. StatusBar  displays current mouse
  coordinates.
* Feature added: Dialog for registration by input or copy-paste
  of registration code.

May 1, 2000. Version 1.1
* Design changes: Changes in toolbar.
* Feature added: Export GIF-file to set of BMP-files.
* Feature added: Toggle of image transparency.
* Feature added: Editing of  delay of frames.
* Feature added: Help.
* Protection and registration.

April 14, 2000. Version 1.0
* Main features. Freeware.
